> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Provider



## OpenAPI

````yaml post /v1/providers
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/providers:
    post:
      tags:
        - Providers
      summary: Create Provider
      operationId: createProvider
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProviderRequest'
            example:
              npi: '0123456789'
              payerId: '62308'
              state: CA
              providerGroupId: cb075a05-4510-456c-addb-fc2efdb74686
      responses:
        '200':
          description: A provider config
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateProviderResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: npi
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    CreateProviderRequest:
      required:
        - npi
        - payerId
        - state
        - providerGroupId
      type: object
      properties:
        npi:
          type: string
          description: The provider's NPI
          example: '0123456789'
        payerId:
          type: string
          description: >-
            The payer ID. See the Sohar [payer
            list](https://docs.soharhealth.com/api-reference/payers/get-payers)
          format: uuid
          example: '62308'
        state:
          type: string
          description: Two-letter US state code
          enum:
            - AK
            - AL
            - AR
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VT
            - WA
            - WI
            - WV
            - WY
          example: CA
        providerGroupId:
          type: string
          description: The Sohar ID for the provider group
          format: uuid
          example: cb075a05-4510-456c-addb-fc2efdb74686
    CreateProviderResponse:
      required:
        - providerId
      type: object
      properties:
        providerId:
          type: string
          description: The Sohar ID for the provider record
          format: uuid
          example: ccc9ffc3-b309-4598-99ad-eb219d82177a
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````